Summary:	Netscape Portable Runtime (NSPR)
Summary(pl.UTF-8):	Przenośne biblioteki uruchomieniowe Netscape
Name:		nspr
Version:	4.32
Release:	2
Epoch:		1
License:	MPL v2.0
Group:		Libraries
Source0:	https://ftp.mozilla.org/pub/nspr/releases/v%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	493d0e2284f873681c089cd503b99bf0
Patch0:		%{name}-pc.patch
URL:		https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSPR
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	sed >= 4.0
Obsoletes:	nspr-pthreads
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries that implement cross-platform runtime services from
Netscape.

%description -l pl.UTF-8
Biblioteki z wieloplatformową implementacją usług
uruchomieniowych Netscape'a.

%package devel
Summary:	NSPR library header files for development
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek NSPR
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-devel

%description devel
Header files for the NSPR library from Netscape.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek NSPR Netscape'a.

%package static
Summary:	Static NSPR library
Summary(pl.UTF-8):	Statyczna biblioteka NSPR
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-static

%description static
Static NSPR library.

%description static -l pl.UTF-8
Statyczna biblioteka NSPR.

%prep
%setup -q
%patch0 -p1

%build
cd nspr
cp -f /usr/share/automake/config.sub build/autoconf
%{__autoconf}
%configure \
	--includedir=%{_includedir}/nspr \
%ifarch %{x8664} ppc64
	--enable-64bit \
%endif
%ifarch x32
	--enable-x32 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug \
	--enable-ipv6 \
	--enable-optimize="%{rpmcflags}" \
	--with-mozilla \
	--with-pthreads

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C nspr install \
	DESTDIR=$RPM_BUILD_ROOT

# for compatibility (upstream installs only nspr.nc); to be dropped sometime?
ln -s nspr.pc $RPM_BUILD_ROOT%{_pkgconfigdir}/mozilla-nspr.pc

%{__rm} $RPM_BUILD_ROOT%{_bindir}/{compile-et.pl,prerr.properties}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnspr4.so
%attr(755,root,root) %{_libdir}/libplc4.so
%attr(755,root,root) %{_libdir}/libplds4.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nspr-config
%{_includedir}/nspr
%{_aclocaldir}/nspr.m4
%{_pkgconfigdir}/mozilla-nspr.pc
%{_pkgconfigdir}/nspr.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnspr4.a
%{_libdir}/libplc4.a
%{_libdir}/libplds4.a
%changelog
* Fri Sep 03 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nspr.git;a=log;h=master

* Fri Sep 03 2021 Jan Palus <atler@pld-linux.org> 3e0a6b8
- Release 2 (by relup.sh)

* Thu Jul 01 2021 Jan Palus <atler@pld-linux.org> 448a2fc
- updated source url to https

* Thu Jul 01 2021 Jan Palus <atler@pld-linux.org> 4c55d7d
- up to 4.32

* Fri May 28 2021 Jan Palus <atler@pld-linux.org> cdce70c
- up to 4.31

* Fri Mar 19 2021 Jan Palus <atler@pld-linux.org> e67ff7a
- up to 4.30

* Tue Sep 22 2020 Jan Palus <atler@pld-linux.org> e520e96
- up to 4.29

* Tue Aug 25 2020 Jan Palus <atler@pld-linux.org> f171dee
- up to 4.28

* Tue Jul 28 2020 Jan Palus <atler@pld-linux.org> 5b8dc6a
- up to 4.27

* Mon Jun 29 2020 Jan Palus <atler@pld-linux.org> f48e157
- up to 4.26

* Sun Feb 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 70bbe32
- updated to 4.25

* Tue Dec 03 2019 Jan Palus <atler@pld-linux.org> 1c5cf70
- up to 4.24

* Mon Oct 21 2019 Jan Palus <atler@pld-linux.org> 3af04dc
- up to 4.23

* Sat Aug 24 2019 Jan Palus <atler@pld-linux.org> 5a088f9
- up to 4.22

* Sat Mar 16 2019 Jan Palus <atler@pld-linux.org> 64a823e
- up to 4.21

* Thu Aug 30 2018 Jan Palus <atler@pld-linux.org> 5287139
- up to 4.20

* Tue Mar 06 2018 Jan Palus <atler@pld-linux.org> 8f0ae27
- up to 4.19

* Fri Jan 19 2018 Jan Palus <atler@pld-linux.org> 474fca6
- up to 4.18

* Wed Sep 20 2017 Jan Palus <atler@pld-linux.org> 7dc9fdb
- up to 4.17

* Fri Jul 28 2017 Jan Palus <atler@pld-linux.org> 653486d
- up to 4.16

* Tue Jun 20 2017 Jakub Bogusz <qboosh@pld-linux.org> fa75cd4
- updated to 4.15
- added configure patch (fix missing fi)

